/*
	Anynome - The Generalized Metronome

    Copyright (C) 2007  Nigel D. Stepp

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along
    with this program; if not, write to the Free Software Foundation, Inc.,
    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

    Nigel Stepp <stepp@atistar.net>

    $Id: plugin.h 151 2007-09-10 17:21:15Z stepp $
*/


#ifndef _PLUGIN_H
#define _PLUGIN_H

#define APIVERSION "2"

typedef struct {
	void *handle;
	char *name;
} plugin_t;

plugin_t *plugin_load(char *plugin_dir, char *plugin_name);
void plugin_set_args(plugin_t *plugin, int argc, char **argv, int opt_ind);
void *plugin_get_fcn(plugin_t *plugin, const char *fcn);
void plugin_unload(plugin_t *plugin);

#endif
